.cart-btn_sm {
	font-size: 0;
	padding: 0;
	width: 40px;
}
.cart-btn__icon {
	display: block;
	fill: #FFF;
	height: 16px;
	width: 16px;
}

.cart-widget {
	display: inline-block;
	text-decoration: none;
}
.cart-widget__btn {
	position: relative;
}
.cart-widget__count {
	background-color: var(--theme-color-1);
	border-radius: 50%;
	color: #FFF;
	font-size: 11px;
	height: 22px;
	line-height: 22px;
	position: absolute;
	right: -8px;
	text-align: center;
	top: -8px;
	width: 22px;
}

.clear-cart-btn {
	color: var(--color-gray-1);
	margin-bottom: 15px;
	padding-right: 25px;
	position: relative;
	text-decoration: none;
	transition: .1s;
}
.clear-cart-btn__icon {
	fill: var(--color-gray-2);
	height: 16px;
	width: 16px;
}

.count-blk {
	flex: 0 0 auto;
}
.count-blk__field {
	border: none;
	box-sizing: border-box;
	color: var(--color-gray-1);
	font-size: .75rem;
	height: 1.5rem;
	margin: 0 6px;
	outline: none;
	padding: 0 2px;
	text-align: center;
	width: 35px;
}
.count-blk__field:focus {
	box-shadow: 0 0 1px 1px var(--color-gray-4);
}
.count-blk__btn {
	background-color: var(--theme-color-2);
	border-radius: 50%;
	color: #FFF;
	cursor: pointer;
	font: 1.25rem/25px monospace;
	height: 25px;
	text-align: center;
	text-decoration: none;
	width: 25px;
}

.cart {
	column-gap: 25px;
	display: flex;
	flex-direction: column;
	margin-bottom: 40px;
	row-gap: 20px;
}

.cart-product {
	align-items: center;
	border-radius: 5px;
	box-shadow: 0 0 0 1px var(--color-gray-3);
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	min-height: 80px;
	overflow: hidden;
	row-gap: 10px;
	padding: 10px;
	position: relative;
}
.cart-product__info {
	width: 100%;
}
.cart-product__photo > img {
	display: block;
	max-height: 150px;
	max-width: 100px;
}
.cart-product__name {
	color: var(--color-black);
	font-size: .875rem;
	text-decoration: none;
}
.cart-product__name:hover {
	text-decoration: underline;
}
.cart-product__option {
	color: var(--color-gray-1);
	font-size: .75rem;
}
.cart-product__description {
	color: var(--color-gray-2);
	font-size: .75rem;
}
.cart-product__price {
	text-align: center;
}
.cart-product__price_sum {
	color: var(--color-gray-1);
	font-size: .875rem;
	font-weight: 700;
}
.cart-product__price_note {
	color: var(--color-gray-2);
	font-size: .75rem;
	margin-top: 5px;
}

.cart-product__delete {
	background-color: var(--theme-color-2);
	border-radius: 4px;
	flex: 0 0 auto;
	height: 30px;
	position: relative;
	transition: .2s;
	width: 30px;
}
.cart-product__delete > svg {
	fill: #FFF;
	height: 16px;
	width: 16px;
}

.cart-total {
	padding-top: 10px;
}
.cart-total__container {
	background-color: #EAEAEA;
	border-radius: 6px;
	padding: 20px 15px;
}
.cart-total__row {
	align-items: center;
	display: flex;
	column-gap: 10px;
	flex-wrap: wrap;
	justify-content: space-between;
	row-gap: 5px;
}
.cart-total__row:not(:first-child) {
	border-top: 1px solid var(--color-gray-2);
	margin-top: 10px;
	padding-top: 10px;
}
.cart-total__cell {
	color: var(--color-gray-2);
	font-size: .75rem;
}
.cart-total__price-label {
	color: var(--color-black);
	font-size: 1rem;
}
.cart-total__price-value {
	color: var(--color-black);
	font-size: 1rem;
}

@media (min-width: 1120px) {
	.cart {
		flex-direction: row;
	}
	.cart__left-col {
		flex: 1 1 auto;
	}
	.cart__right-col {
		flex: 0 0 auto;
		width: 320px;
	}

	.cart-product {
		flex-wrap: nowrap;
	}
	.cart-product__info {
		flex: 0 0 auto;
		width: 40%;
	}
	.cart-product__price {
		width: 15%;
	}
	.cart-product__delete:not(:hover) {
		opacity: .6;
	}

	.cart-total {
		position: sticky;
		top: 0;
	}
}